const shows = require('./shows.json')


let showsXml = `<?xml version='1.0' encoding='UTF-8'?>
<?xml-stylesheet type="text/xsl"
href="shows-table.xsl"?>
<xbel xmlns:show="https://radiomanifest.degenerazione.xyz/shows/" version="1.0">`

showsXml += shows.map(s => `<bookmark href="https://radioblackout.org/shows/${s.slug}">
<info>
  <metadata>
    <show:name>${s.title}</show:name>
    <show:website>https://radioblackout.org/shows/${s.slug}</show:website>
    <show:feed>https://radioblackout.org/podcastfilter/${s.slug}/feed</show:feed>
  </metadata>
</info>
</bookmark>`).join('')

showsXml += '</xbel>'

console.error(showsXml)